package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.TypesRepository;
import com.realnet.basicp1.Entity.Types
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class TypesService {
@Autowired
private TypesRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Types Savedata(Types data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Types save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Types> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Types> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Types> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Types getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Types update(Types data,Integer id) {
	Types old = Repository.findById(id).get();
old.setType_name(data.getType_name());

old.setManufacturer(data.getManufacturer());

final Types test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
